Bug 952229 - Review Request: canl-c++ - EMI Common Authentication library - bindings for C++
Summary: Review Request: canl-c++ - EMI Common Authentication library - bindings for C++
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 971977
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-15 12:22 UTC by Mattias Ellert
Modified: 2013-08-16 18:53 UTC (History)
4 users (show)

Fixed In Version: canl-c++-1.0.0-3.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-06 23:29:01 UTC
besser82: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
fedora-review crashes (12.53 KB, text/x-log)
2013-06-07 12:53 UTC, Björn 'besser82' Esser
no flags Details

Description Mattias Ellert 2013-04-15 12:22:16 UTC
Spec URL: http://www.grid.tsl.uu.se/review/canl-c++.spec
SRPM URL: http://www.grid.tsl.uu.se/review/canl-c++-1.0.0-1.fc18.src.rpm
Description:
This is the C++ part of the EMI caNl -- the Common Authentication Library.

Fedora Account System Username: ellert

Comment 1 Björn 'besser82' Esser 2013-06-07 12:53:02 UTC
Created attachment 758151 [details]
fedora-review crashes

This, somehow, gets fedora-review crashing during install of mock-build pkgs:

  fedora-review -m fedora-rawhide-x86_64 -b 952229

  INFO: Processing bugzilla bug: 952229
  INFO: Getting .spec and .srpm Urls from : 952229
  ...
  INFO: Using review directory: ${HOME}/fedora/review/952229-canl-c++
  INFO: Downloading .spec and .srpm files
  INFO: Downloading (Source0): %{Source0}
  INFO: Running checks and generating report

  INFO: Results and/or logs in: ${HOME}/fedora/review/952229-canl-c++/results

  INFO: Build completed
  INFO: Installing built package(s)
  ERROR: Exception down the road...(logs in ${HOME}/.cache/fedora-review.log)

Comment 2 Björn 'besser82' Esser 2013-06-07 18:26:04 UTC
I filed a bug against fedora-review to have this problem (possibly) solved.

Comment 3 Björn 'besser82' Esser 2013-06-09 08:45:53 UTC
Pkg is fine, but:

  * there's a copying-info inside debian/copyright,
    but it's not included as %doc

  * unused-direct-shlib-dependency on:
      - /lib64/libdl.so.2
      - /lib64/libm.so.6

For details have a look at my comments in review-report.
Please fix and I'll give fedora-review(+).

#####

Package Review
==============

Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 51 files have unknown license. Detailed output of
     licensecheck in
     /home/bjoern.esser/fedora/review/952229-canl-c++/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.

     ---> there's a copyright file inside debian-subdir
          which should be included as %doc debian/copyright
          since it's shipped as copying-info in upstream tarball

[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[x]: Buildroot is not present
     Note: Buildroot: present but not needed
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).

     ---> see rpmlint-output
          using the suggested aproach from:
          https://fedoraproject.org/wiki/Common_Rpmlint_issues#unused-direct-shlib-dependency
          AFTER running `autoreconf -vfi` (BuildRequires: autoconf automake)
          might help. Otherwise try to find a solution with upstream.

[x]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: canl-c++-1.0.0-1.fc20.x86_64.rpm
          canl-c++-devel-1.0.0-1.fc20.x86_64.rpm
canl-c++-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint canl-c++ canl-c++-devel
canl-c++.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcanl_c++.so.1.0.0 /lib64/libdl.so.2
canl-c++.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcanl_c++.so.1.0.0 /lib64/libm.so.6
canl-c++-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
canl-c++ (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libcrypto.so.10()(64bit)
    libcrypto.so.10(libcrypto.so.10)(64bit)
    libdb_cxx-5.3.so()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libnspr4.so()(64bit)
    libnss3.so()(64bit)
    libnss3.so(NSS_3.10)(64bit)
    libnss3.so(NSS_3.12)(64bit)
    libnss3.so(NSS_3.2)(64bit)
    libnss3.so(NSS_3.3)(64bit)
    libnss3.so(NSS_3.4)(64bit)
    libnss3.so(NSS_3.5)(64bit)
    libnss3.so(NSS_3.6)(64bit)
    libnss3.so(NSS_3.7)(64bit)
    libnss3.so(NSS_3.9)(64bit)
    libnss3.so(NSS_3.9.2)(64bit)
    libnss3.so(NSS_3.9.3)(64bit)
    libnssutil3.so()(64bit)
    libnssutil3.so(NSSUTIL_3.12)(64bit)
    libplc4.so()(64bit)
    libplds4.so()(64bit)
    libpthread.so.0()(64bit)
    libsmime3.so()(64bit)
    libsmime3.so(NSS_3.2)(64bit)
    libsmime3.so(NSS_3.4)(64bit)
    libssl.so.10()(64bit)
    libssl.so.10(libssl.so.10)(64bit)
    libssl3.so()(64bit)
    libssl3.so(NSS_3.2)(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

canl-c++-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    canl-c++(x86-64)
    libcanl_c++.so.1()(64bit)
    pkgconfig(openssl)



Provides
--------
canl-c++:
    canl-c++
    canl-c++(x86-64)
    libcanl_c++.so.1()(64bit)

canl-c++-devel:
    canl-c++-devel
    canl-c++-devel(x86-64)
    pkgconfig(canl-c++)



Source checksums
----------------
http://download.nordugrid.org/packages/canl-c++/releases/1.0.0/src/canl-c++-1.0.0.tar.gz :
  CHECKSUM(SHA256) this package     : 0fbaf710f923ef4b5da0b3c03c8a7d8f85d796cebe409241e2697d08ed59132f
  CHECKSUM(SHA256) upstream package : 0fbaf710f923ef4b5da0b3c03c8a7d8f85d796cebe409241e2697d08ed59132f


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 952229

Comment 5 Björn 'besser82' Esser 2013-06-13 13:41:13 UTC
Issues are fixed. Package is fine, now.

APPROVED!

Comment 6 Mattias Ellert 2013-06-13 14:02:28 UTC
Thank you for the review.

New Package SCM Request
=======================
Package Name: canl-c++
Short Description: EMI Common Authentication library - bindings for C++
Owners: ellert
Branches: f18 f19 el5 el6
InitialCC: ellert

Comment 7 Gwyn Ciesla 2013-06-13 14:04:07 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2013-06-13 15:14:38 UTC
canl-c++-1.0.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/canl-c++-1.0.0-2.el6

Comment 9 Fedora Update System 2013-06-13 15:14:51 UTC
canl-c++-1.0.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/canl-c++-1.0.0-2.fc18

Comment 10 Fedora Update System 2013-06-13 15:15:11 UTC
canl-c++-1.0.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/canl-c++-1.0.0-2.fc19

Comment 11 Fedora Update System 2013-06-13 15:15:29 UTC
canl-c++-1.0.0-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/canl-c++-1.0.0-2.el5

Comment 12 Fedora Update System 2013-06-13 18:08:52 UTC
canl-c++-1.0.0-2.fc19 has been pushed to the Fedora 19 testing repository.

Comment 13 Michael Schwendt 2013-06-21 16:47:05 UTC
> Name:		canl-c++
> Group:		Development/Libraries

"System Environment/Libraries" is the group for run-time library base packages. The alternative is to not define the old Group tag anymore.


> %files devel
> %defattr(-,root,root,-)

%defattr is not needed anymore for any of the active distribution releases.


> %{_libdir}/libcanl_c++.so
> %{_includedir}/%{name}/canlxx.h

Directory %{_includedir}/%{name} is not included.

https://fedoraproject.org/wiki/Packaging:Guidelines#File_and_Directory_Ownership
https://fedoraproject.org/wiki/Packaging:UnownedDirectories

Comment 14 Fedora Update System 2013-06-23 05:57:54 UTC
canl-c++-1.0.0-2.fc18 has been pushed to the Fedora 18 stable repository.

Comment 15 Fedora Update System 2013-06-28 18:52:27 UTC
canl-c++-1.0.0-2.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 16 Fedora Update System 2013-06-28 18:52:40 UTC
canl-c++-1.0.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 17 Fedora Update System 2013-06-29 18:09:51 UTC
canl-c++-1.0.0-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 18 Björn 'besser82' Esser 2013-07-27 18:52:53 UTC
(In reply to Michael Schwendt from comment #13)
> > Name:		canl-c++
> > Group:		Development/Libraries
> 
> "System Environment/Libraries" is the group for run-time library base
> packages. The alternative is to not define the old Group tag anymore.
> 
> 
> > %files devel
> > %defattr(-,root,root,-)
> 
> %defattr is not needed anymore for any of the active distribution releases.
> 
> 
> > %{_libdir}/libcanl_c++.so
> > %{_includedir}/%{name}/canlxx.h
> 
> Directory %{_includedir}/%{name} is not included.
> 
> https://fedoraproject.org/wiki/Packaging:
> Guidelines#File_and_Directory_Ownership
> https://fedoraproject.org/wiki/Packaging:UnownedDirectories

Fixed in any new release?  If reporter won't fix until 2013-08-12, I'll push a fixed release.

Comment 19 Fedora Update System 2013-07-27 22:48:55 UTC
canl-c++-1.0.0-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/canl-c++-1.0.0-3.fc19

Comment 20 Fedora Update System 2013-07-27 22:49:06 UTC
canl-c++-1.0.0-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/canl-c++-1.0.0-3.fc18

Comment 21 Fedora Update System 2013-07-27 22:49:17 UTC
canl-c++-1.0.0-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/canl-c++-1.0.0-3.el5

Comment 22 Fedora Update System 2013-07-27 22:49:27 UTC
canl-c++-1.0.0-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/canl-c++-1.0.0-3.el6

Comment 23 Mattias Ellert 2013-07-27 22:59:59 UTC
Sorry, I didn't notice this comment. It was added only 1½ day before the bug was closed by bodhi, Thanks for the reminder.

Comment 24 Björn 'besser82' Esser 2013-07-28 09:23:14 UTC
(In reply to Mattias Ellert from comment #23)
> Sorry, I didn't notice this comment. It was added only 1½ day before the bug
> was closed by bodhi, Thanks for the reminder.

np.  You're welcome.  Since you pushed a fixed version, all is fine now. :)
Make sure to close this bug, when updates are pushed to their repos.

Comment 25 Fedora Update System 2013-08-06 23:29:01 UTC
canl-c++-1.0.0-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2013-08-06 23:31:16 UTC
canl-c++-1.0.0-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2013-08-16 17:01:39 UTC
canl-c++-1.0.0-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2013-08-16 17:11:03 UTC
canl-c++-1.0.0-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.